Activities

Activities are appointments/tasks/events on a calendar that can be associated with a deal, a lead, a person and an organization. Activities can be of different type (such as call, meeting, lunch or a custom type - see ActivityTypes object) and can be assigned to a particular user. Note that activities can also be created without a specific date/time.

Get all activities

Copy link

Returns data about all activities.

Cost

10

Request
GET

/api/v2/activities

Query parameters

filter_id

integer

If supplied, only activities matching the specified filter are returned

ids

string

Optional comma separated string array of up to 100 entity ids to fetch. If filter_id is provided, this is ignored. If any of the requested entities do not exist or are not visible, they are not included in the response.

owner_id

integer

If supplied, only activities owned by the specified user are returned. If filter_id is provided, this is ignored.

deal_id

integer

If supplied, only activities linked to the specified deal are returned. If filter_id is provided, this is ignored.

lead_id

string

If supplied, only activities linked to the specified lead are returned. If filter_id is provided, this is ignored.

person_id

integer

If supplied, only activities whose primary participant is the given person are returned. If filter_id is provided, this is ignored.

org_id

integer

If supplied, only activities linked to the specified organization are returned. If filter_id is provided, this is ignored.

done

boolean

If supplied, only activities with specified 'done' flag value are returned

updated_since

string

If set, only activities with an update_time later than or equal to this time are returned. In RFC3339 format, e.g. 2025-01-01T10:20:00Z.

updated_until

string

If set, only activities with an update_time earlier than this time are returned. In RFC3339 format, e.g. 2025-01-01T10:20:00Z.

sort_by

string

The field to sort by. Supported fields: id, update_time, add_time, due_date.

Default

id

Values

id

update_time

add_time

due_date

sort_direction

string

The sorting direction. Supported values: asc, desc.

Default

asc

Values

asc

desc

include_fields

string

Optional comma separated string array of additional fields to include

Values

attendees

limit

integer

For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

cursor

string

For pagination, the marker (an opaque string value) representing the first item on the next page

Response
200

OK

Expand all
Copy code
    • true
    • [ ... ]
      • { ... }

      Get details of an activity

      Copy link

      Returns the details of a specific activity.

      Cost

      1

      Request
      GET

      /api/v2/activities/{id}

      Path parameters

      id

      integer

      required

      The ID of the activity

      Query parameters

      include_fields

      string

      Optional comma separated string array of additional fields to include

      Values

      attendees

      Response
      200

      OK

      Expand all
      Copy code
        • true
        • { ... }

        Add a new activity

        Copy link

        Adds a new activity.

        Cost

        5

        Request
        POST

        /api/v2/activities

        Body parameters

        application/json

        subject

        string

        The subject of the activity

        type

        string

        The type of the activity

        owner_id

        integer

        The ID of the user who owns the activity

        deal_id

        integer

        The ID of the deal linked to the activity

        lead_id

        string

        The ID of the lead linked to the activity

        person_id

        integer

        The ID of the person linked to the activity

        org_id

        integer

        The ID of the organization linked to the activity

        project_id

        integer

        The ID of the project linked to the activity

        due_date

        string

        The due date of the activity

        due_time

        string

        The due time of the activity

        duration

        string

        The duration of the activity

        busy

        boolean

        Whether the activity marks the assignee as busy or not in their calendar

        done

        boolean

        Whether the activity is marked as done or not

        location

        object

        Location of the activity

        value

        string

        The full address of the activity

        country

        string

        Country of the activity

        admin_area_level_1

        string

        Admin area level 1 (e.g. state) of the activity

        admin_area_level_2

        string

        Admin area level 2 (e.g. county) of the activity

        locality

        string

        Locality (e.g. city) of the activity

        sublocality

        string

        Sublocality (e.g. neighborhood) of the activity

        route

        string

        Route (e.g. street) of the activity

        street_number

        string

        Street number of the activity

        subpremise

        string

        Subpremise (e.g. apartment/suite number) of the activity

        postal_code

        string

        Postal code of the activity

        participants

        array

        The participants of the activity

        person_id

        integer

        The ID of the person

        primary

        boolean

        Whether the person is the primary participant or not

        attendees

        array

        The attendees of the activity

        email

        string

        The email address of the attendee

        name

        string

        The name of the attendee

        status

        string

        The status of the attendee

        is_organizer

        boolean

        Whether the attendee is the organizer or not

        person_id

        integer

        The ID of the person if the attendee has a person record

        user_id

        integer

        The ID of the user if the attendee is a user

        public_description

        string

        The public description of the activity

        priority

        integer

        The priority of the activity. Mappable to a specific string using activityFields API.

        note

        string

        The note of the activity

        Response
        200

        OK

        Expand all
        Copy code
          • true
          • { ... }

          Update an activity

          Copy link

          Updates the properties of an activity.

          Cost

          5

          Request
          PATCH

          /api/v2/activities/{id}

          Path parameters

          id

          integer

          required

          The ID of the activity

          Body parameters

          application/json

          subject

          string

          The subject of the activity

          type

          string

          The type of the activity

          owner_id

          integer

          The ID of the user who owns the activity

          deal_id

          integer

          The ID of the deal linked to the activity

          lead_id

          string

          The ID of the lead linked to the activity

          person_id

          integer

          The ID of the person linked to the activity

          org_id

          integer

          The ID of the organization linked to the activity

          project_id

          integer

          The ID of the project linked to the activity

          due_date

          string

          The due date of the activity

          due_time

          string

          The due time of the activity

          duration

          string

          The duration of the activity

          busy

          boolean

          Whether the activity marks the assignee as busy or not in their calendar

          done

          boolean

          Whether the activity is marked as done or not

          location

          object

          Location of the activity

          value

          string

          The full address of the activity

          country

          string

          Country of the activity

          admin_area_level_1

          string

          Admin area level 1 (e.g. state) of the activity

          admin_area_level_2

          string

          Admin area level 2 (e.g. county) of the activity

          locality

          string

          Locality (e.g. city) of the activity

          sublocality

          string

          Sublocality (e.g. neighborhood) of the activity

          route

          string

          Route (e.g. street) of the activity

          street_number

          string

          Street number of the activity

          subpremise

          string

          Subpremise (e.g. apartment/suite number) of the activity

          postal_code

          string

          Postal code of the activity

          participants

          array

          The participants of the activity

          person_id

          integer

          The ID of the person

          primary

          boolean

          Whether the person is the primary participant or not

          attendees

          array

          The attendees of the activity

          email

          string

          The email address of the attendee

          name

          string

          The name of the attendee

          status

          string

          The status of the attendee

          is_organizer

          boolean

          Whether the attendee is the organizer or not

          person_id

          integer

          The ID of the person if the attendee has a person record

          user_id

          integer

          The ID of the user if the attendee is a user

          public_description

          string

          The public description of the activity

          priority

          integer

          The priority of the activity. Mappable to a specific string using activityFields API.

          note

          string

          The note of the activity

          Response
          200

          OK

          Expand all
          Copy code
            • true
            • { ... }

            Delete an activity

            Copy link

            Marks an activity as deleted. After 30 days, the activity will be permanently deleted.

            Cost

            3

            Request
            DELETE

            /api/v2/activities/{id}

            Path parameters

            id

            integer

            required

            The ID of the activity

            Response
            200

            OK

            Expand all
            Copy code
              • true
              • { ... }

              Subscribe to Pipedrive’s Developer Newsletter